Namespaces - Create Or Update
Create Azure Relay namespace.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Relay/namespaces/{namespaceName}?api-version=2026-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
namespace
|
path | True |
string minLength: 6maxLength: 50 |
The namespace name |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| location | True |
string |
The geo-location where the resource lives |
| properties.minimumTlsVersion |
The minimum TLS version for the namespace. Supported values are 1.2 and 1.3. The service defaults to 1.2 when the property is omitted. Existing namespaces configured with TLS 1.0 or 1.1 are reported as TLS 1.2. |
||
| properties.privateEndpointConnections |
List of private endpoint connections. |
||
| properties.publicNetworkAccess |
This determines if traffic is allowed over public network. By default it is enabled. |
||
| sku |
SKU of the namespace. |
||
| tags |
object |
Resource tags. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Resource 'RelayNamespace' update operation succeeded |
|
| 201 Created |
Resource 'RelayNamespace' create operation succeeded Headers
|
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
RelayNamespaceCreate
Sample request
PUT https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/resourcegroup/providers/Microsoft.Relay/namespaces/example-RelayNamespace-5849?api-version=2026-01-01
{
"location": "South Central US",
"sku": {
"name": "Standard",
"tier": "Standard"
},
"tags": {
"tag1": "value1",
"tag2": "value2"
},
"properties": {
"minimumTlsVersion": "1.2"
}
}
Sample response
{
"name": "example-RelayNamespace-5849",
"type": "Microsoft.Relay/Namespaces",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/resourcegroup/providers/Microsoft.Relay/namespaces/example-RelayNamespace-5849",
"location": "South Central US",
"properties": {
"metricId": "ffffffff-ffff-ffff-ffff-ffffffffffff:example-Relaynamespace-5849",
"provisioningState": "Created",
"serviceBusEndpoint": "https://example-RelayNamespace-5849.servicebus.windows-int.net:443/",
"minimumTlsVersion": "1.2"
},
"sku": {
"name": "Standard",
"tier": "Standard"
},
"tags": {
"tag1": "value1",
"tag2": "value2"
}
}
{
"name": "example-RelayNamespace-5849",
"type": "Microsoft.Relay/Namespaces",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/resourcegroup/providers/Microsoft.Relay/namespaces/example-RelayNamespace-5849",
"location": "South Central US",
"properties": {
"metricId": "ffffffff-ffff-ffff-ffff-ffffffffffff:example-Relaynamespace-5849",
"provisioningState": "Created",
"serviceBusEndpoint": "https://example-RelayNamespace-5849.servicebus.windows-int.net:443/",
"minimumTlsVersion": "1.2"
},
"sku": {
"name": "Standard",
"tier": "Standard"
},
"tags": {
"tag1": "value1",
"tag2": "value2"
}
}
Definitions
| Name | Description |
|---|---|
|
Connection |
ConnectionState information. |
|
created |
The type of identity that created the resource. |
|
End |
Provisioning state of the Private Endpoint Connection. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Private |
PrivateEndpoint information. |
|
Private |
Properties of the PrivateEndpointConnection. |
|
Private |
Status of the connection. |
|
Public |
This determines if traffic is allowed over public network. By default it is enabled. |
|
Relay |
Description of a namespace resource. |
| Sku |
SKU of the namespace. |
|
Sku |
Name of this SKU. |
|
Sku |
The tier of this SKU. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
|
Tls |
TLS versions supported by Relay namespaces. |
ConnectionState
ConnectionState information.
| Name | Type | Description |
|---|---|---|
| description |
string |
Description of the connection state. |
| status |
Status of the connection. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
EndPointProvisioningState
Provisioning state of the Private Endpoint Connection.
| Value | Description |
|---|---|
| Creating | |
| Updating | |
| Deleting | |
| Succeeded | |
| Canceled | |
| Failed |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
PrivateEndpoint
PrivateEndpoint information.
| Name | Type | Description |
|---|---|---|
| id |
string |
The ARM identifier for Private Endpoint. |
PrivateEndpointConnection
Properties of the PrivateEndpointConnection.
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
The geo-location where the resource lives |
| name |
string |
The name of the resource |
| properties.privateEndpoint |
The Private Endpoint resource for this Connection. |
|
| properties.privateLinkServiceConnectionState |
Details about the state of the connection. |
|
| properties.provisioningState |
Provisioning state of the Private Endpoint Connection. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
PrivateLinkConnectionStatus
Status of the connection.
| Value | Description |
|---|---|
| Pending | |
| Approved | |
| Rejected | |
| Disconnected |
PublicNetworkAccess
This determines if traffic is allowed over public network. By default it is enabled.
| Value | Description |
|---|---|
| Enabled | |
| Disabled | |
| SecuredByPerimeter |
RelayNamespace
Description of a namespace resource.
| Name | Type | Default value | Description |
|---|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
|
| location |
string |
The geo-location where the resource lives |
|
| name |
string |
The name of the resource |
|
| properties.createdAt |
string (date-time) |
The time the namespace was created. |
|
| properties.metricId |
string |
Identifier for Azure Insights metrics. |
|
| properties.minimumTlsVersion |
The minimum TLS version for the namespace. Supported values are 1.2 and 1.3. The service defaults to 1.2 when the property is omitted. Existing namespaces configured with TLS 1.0 or 1.1 are reported as TLS 1.2. |
||
| properties.privateEndpointConnections |
List of private endpoint connections. |
||
| properties.provisioningState |
string |
Provisioning state of the Namespace. |
|
| properties.publicNetworkAccess | Enabled |
This determines if traffic is allowed over public network. By default it is enabled. |
|
| properties.serviceBusEndpoint |
string |
Endpoint you can use to perform Service Bus operations. |
|
| properties.status |
string |
Status of the Namespace. |
|
| properties.updatedAt |
string (date-time) |
The time the namespace was updated. |
|
| sku |
SKU of the namespace. |
||
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
||
| tags |
object |
Resource tags. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
Sku
SKU of the namespace.
| Name | Type | Description |
|---|---|---|
| name |
Name of this SKU. |
|
| tier |
The tier of this SKU. |
SkuName
Name of this SKU.
| Value | Description |
|---|---|
| Standard |
SkuTier
The tier of this SKU.
| Value | Description |
|---|---|
| Standard |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
TlsVersion
TLS versions supported by Relay namespaces.
| Value | Description |
|---|---|
| 1.2 |
TLS version 1.2. |
| 1.3 |
TLS version 1.3. |